> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get order

> Get order



## OpenAPI

````yaml oms_v1 get /api-order/orders/orderNumber/{orderId}
openapi: 3.0.0
info:
  description: Order Management System
  version: 1.0.0
  title: Orders v1 (OMS v1)
  contact:
    email: oms-team@fabric.inc
  license:
    name: fabric API license
    url: https://fabric.inc/api-license
servers:
  - url: https://prod01-apigw.{customer_name}.fabric.zone
    description: Production
    variables:
      customer_name:
        default: yourcompany
        description: Customer name, provided by support team
security: []
tags:
  - name: Cart
    description: >-
      Cart APIs<br /><br />**Note:** These are the legacy Cart APIs. To view
      fabric's new Cart APIs, navigate to *Cart API > Cart* from the left side
      navigation pane.
  - name: Bill To
    description: Bill To APIs [Deprecated]
  - name: Ship To
    description: >-
      Ship To APIs<br /><br />**Note:** These are the legacy Ship To APIs. To
      view fabric's new Shipping APIs, navigate to *Cart API > Shipping* from
      the left side navigation pane.
  - name: Wishlist
    description: Wishlist APIs
  - name: Cart Decoupled
    description: Cart Decoupled APIs
  - name: Warehouse
    description: Warehouse APIs
  - name: Inventory
    description: Inventory APIs
  - name: Attributes
    description: >-
      Attributes APIs<br /><br />**Note:** These are the legacy Attribute APIs.
      To view fabric's new Attribute APIs, navigate to *Cart API > Attribute*
      from the left side navigation pane.
  - name: List
    description: List APIs
  - name: Tax/Address Validate
    description: Tax/Address Validate APIs
  - name: Shipping
    description: Shipping APIs
  - name: Payments
    description: Payments APIs
  - name: Order
    description: Order APIs
paths:
  /api-order/orders/orderNumber/{orderId}:
    get:
      tags:
        - Order
      summary: Get order
      description: Get order
      operationId: getOrder
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
            example: 0LybWR49k95cCwYh3cu0waCYoh4H2Eux2J52wn4k
        - $ref: '#/components/parameters/xSiteContent'
        - in: path
          name: orderId
          required: true
          schema:
            type: string
            minLength: 15
            maxLength: 15
            example: 2947-5955-82579
      responses:
        '200':
          description: Order
          content:
            application/json:
              schema:
                type: object
                properties:
                  order:
                    type: object
                    properties:
                      _id:
                        type: string
                        example: 6021f6b8bd6ce10008579e8e
                      tags:
                        type: array
                      cartId:
                        type: string
                        example: 5e4876e10cfe1d8902005d33
                      channel:
                        type: number
                        example: 12
                      orderTotal:
                        type: number
                        example: 125.33
                      taxTotal:
                        type: number
                        example: 5.23
                      orderCurrency:
                        type: string
                        example: USD
                      status:
                        type: string
                        example: ORDER_CANCELLED
                      statusLog:
                        type: string
                        example: Order has been cancelled
                      customerUserId:
                        type: string
                        example: 5e3598e3007c5e00080d2bb8
                      customerAccountId:
                        type: string
                        example: 5e3598e3007c5e00080d2bb8
                      customerEmail:
                        type: string
                        example: ino@fabric.inc
                      customerPhone:
                        type: object
                        properties:
                          number:
                            type: string
                            example: 555-555-5555
                          kind:
                            type: string
                            example: mobile
                      orderId:
                        type: string
                        example: 8426-1549-34543
                      shipTo:
                        type: array
                        items:
                          type: object
                          properties:
                            address:
                              type: object
                              properties:
                                name:
                                  type: object
                                  properties:
                                    first:
                                      type: string
                                      example: john
                                    middle:
                                      type: string
                                      example: p
                                    last:
                                      type: string
                                      example: smith
                                phone:
                                  type: object
                                  properties:
                                    number:
                                      type: string
                                      example: 555-555-5555
                                    kind:
                                      type: string
                                      example: mobile
                                isValidated:
                                  type: boolean
                                email:
                                  type: string
                                  example: johnsmith@google.com
                                street1:
                                  type: string
                                  example: 10400 NE 4th St
                                street2:
                                  type: string
                                  example: Suite 500
                                city:
                                  type: string
                                  example: Bellevue
                                state:
                                  type: string
                                  example: WA
                                country:
                                  type: string
                                  example: USA
                                zipCode:
                                  type: string
                                  example: 98004
                                kind:
                                  type: string
                                  example: Ship to address
                            delivery:
                              type: object
                              properties:
                                actual:
                                  type: string
                                  format: nullable
                            shipping:
                              type: object
                              properties:
                                actual:
                                  type: string
                                  format: nullable
                            promosApplied:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                    example: test1
                            _id:
                              type: string
                              example: 6021f6b8bd6ce10008579e8f
                            shipToId:
                              type: number
                              example: 1000001
                            shipToType:
                              type: string
                              example: SHIP_TO_ADDRESS
                            price:
                              type: number
                              example: 24.87
                            currency:
                              type: string
                              example: USD
                            estimatedTax:
                              type: number
                              example: 10
                            committedTax:
                              type: number
                              example: 10
                            total:
                              type: number
                              example: 34.87
                            taxCode:
                              type: string
                              example: FR020000
                            shipmentCarrier:
                              type: string
                              example: Fedex
                            shipmentMethod:
                              type: string
                              example: Express
                            shipmentMethodId:
                              type: string
                              example: 10000001
                            promisedDeliveryDate:
                              type: string
                              example: '2019-12-14T00:00:00.000Z'
                            shipmentInstructions:
                              type: string
                              example: Leave at back door
                            shipmentStatus:
                              type: string
                              example: Delivered
                            readyForPickups:
                              type: array
                            id:
                              type: string
                              example: 6021f6b8bd6ce10008579e8f
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            group:
                              type: array
                              items:
                                type: string
                                example: 123
                            promosApplied:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                    example: test
                            _id:
                              type: string
                              example: 6021f6b8bd6ce10008579e90
                            lineItemId:
                              type: number
                              example: 1
                            itemId:
                              type: number
                              example: 1000000051098
                            priceListId:
                              type: number
                              example: 1000000
                            sku:
                              type: string
                              example: 1538910
                            title:
                              type: string
                              example: abcDNA Luminous Cushion Lagoon
                            quantity:
                              type: number
                              example: 1
                            price:
                              type: number
                              example: 4.5
                            discount:
                              type: number
                              example: 1
                            currency:
                              type: string
                              example: USD
                            shipToId:
                              type: number
                              example: 1000001
                            estimatedTax:
                              type: number
                              example: 10.25
                            committedTax:
                              type: number
                              example: 10.25
                            total:
                              type: number
                              example: 4.54
                            taxCode:
                              type: string
                              example: FR020000
                            weight:
                              type: number
                              example: 10
                            weightUnit:
                              type: string
                              example: lb
                            reservedLocation:
                              type: array
                            attributes:
                              type: array
                            id:
                              type: string
                              example: 6021f6b8bd6ce10008579e90
                      shipments:
                        type: array
                      payments:
                        type: array
                        items:
                          type: object
                          properties:
                            billToAddress:
                              type: object
                              properties:
                                name:
                                  type: object
                                  properties:
                                    first:
                                      type: string
                                      example: john
                                    middle:
                                      type: string
                                      example: p
                                    last:
                                      type: string
                                      example: smith
                                phone:
                                  type: object
                                  properties:
                                    number:
                                      type: string
                                      example: 555-555-5555
                                    kind:
                                      type: string
                                      example: mobile
                                isValidated:
                                  type: boolean
                                email:
                                  type: string
                                  example: johnsmith@google.com
                                street1:
                                  type: string
                                  example: 10400 NE 4th St
                                street2:
                                  type: string
                                  example: Suite 500
                                city:
                                  type: string
                                  example: Bellevue
                                state:
                                  type: string
                                  example: WA
                                country:
                                  type: string
                                  example: USA
                                zipCode:
                                  type: string
                                  example: 98004
                                kind:
                                  type: string
                                  example: Ship to address
                            shipToId:
                              type: array
                              items:
                                type: number
                                example: 1000001
                            _id:
                              type: string
                              example: 6021f6b8bd6ce10008579e92
                            billToId:
                              type: number
                              example: 1000001
                            paymentIdentifier:
                              type: object
                              properties:
                                cardIdentifier:
                                  type: number
                                  example: 4242
                            paymentMethod:
                              type: string
                              example: Visa
                            paymentToken:
                              type: object
                              properties:
                                token:
                                  type: number
                                  example: 12345689
                            paymentKind:
                              type: string
                              example: Default payment
                            amount:
                              type: number
                              example: 533.33
                            currency:
                              type: string
                              example: USD
                            conversion:
                              type: number
                              example: 1
                            paymentStatus:
                              type: string
                              example: Pending
                            id:
                              type: string
                              example: 6021f6b8bd6ce10008579e92
                      revision:
                        type: number
                        example: 1
                      totalQuantity:
                        type: number
                        example: 2
                      statusDescriptions:
                        type: array
                        items:
                          type: object
                          properties:
                            _id:
                              type: string
                              example: 614b25234a2b4e0009870c49
                            status:
                              type: string
                              example: ORDER_CANCELLED
                            code:
                              type: string
                              example: 1001
                            description:
                              type: string
                              example: Merchant Out of Stock
                            date:
                              type: string
                              example: '2021-09-22T12:44:19.703Z'
                            id:
                              type: string
                              example: 614b25234a2b4e0009870c49
                      events:
                        type: array
                      createdAt:
                        type: string
                        example: '2021-02-09T02:43:04.926Z'
                      updatedAt:
                        type: string
                        example: '2021-09-22T12:44:19.696Z'
                      __v:
                        type: number
                        example: 0
                  history:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                          example: 614b25234a2b4e0009870c4f
                        tags:
                          type: array
                        cartId:
                          type: string
                          example: 5e4876e10cfe1d8902005d33
                        channel:
                          type: number
                          example: 12
                        orderTotal:
                          type: number
                          example: 125.33
                        taxTotal:
                          type: number
                          example: 5.23
                        orderCurrency:
                          type: string
                          example: USD
                        status:
                          type: string
                          example: ORDER_CANCELLED
                        statusLog:
                          type: string
                          example: Order has been cancelled
                        customerUserId:
                          type: string
                          example: 5e3598e3007c5e00080d2bb8
                        customerAccountId:
                          type: string
                          example: 5e3598e3007c5e00080d2bb8
                        customerEmail:
                          type: string
                          example: ino@fabric.inc
                        customerPhone:
                          type: object
                          properties:
                            number:
                              type: string
                              example: 555-555-5555
                            kind:
                              type: string
                              example: mobile
                        orderId:
                          type: string
                          example: 8426-1549-34543
                        shipTo:
                          type: array
                          items:
                            type: object
                            properties:
                              address:
                                type: object
                                properties:
                                  name:
                                    type: object
                                    properties:
                                      first:
                                        type: string
                                        example: john
                                      middle:
                                        type: string
                                        example: p
                                      last:
                                        type: string
                                        example: smith
                                  phone:
                                    type: object
                                    properties:
                                      number:
                                        type: string
                                        example: 555-555-5555
                                      kind:
                                        type: string
                                        example: mobile
                                  email:
                                    type: string
                                    example: johnsmith@google.com
                                  street1:
                                    type: string
                                    example: 10400 NE 4th St
                                  street2:
                                    type: string
                                    example: Suite 500
                                  city:
                                    type: string
                                    example: Bellevue
                                  state:
                                    type: string
                                    example: WA
                                  country:
                                    type: string
                                    example: USA
                                  zipCode:
                                    type: string
                                    example: 98004
                                  kind:
                                    type: string
                                    example: Ship to address
                              promosApplied:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                      example: test1
                              _id:
                                type: string
                                example: 6021f6b8bd6ce10008579e8f
                              shipToId:
                                type: number
                                example: 1000001
                              shipToType:
                                type: string
                                example: SHIP_TO_ADDRESS
                              price:
                                type: number
                                example: 24.87
                              currency:
                                type: string
                                example: USD
                              estimatedTax:
                                type: number
                                example: 10
                              committedTax:
                                type: number
                                example: 10
                              total:
                                type: number
                                example: 34.87
                              taxCode:
                                type: string
                                example: FR020000
                              shipmentCarrier:
                                type: string
                                example: Fedex
                              shipmentMethod:
                                type: string
                                example: Express
                              shipmentMethodId:
                                type: string
                                example: 10000001
                              promisedDeliveryDate:
                                type: string
                                example: '2019-12-14T00:00:00.000Z'
                              shipmentInstructions:
                                type: string
                                example: Leave at back door
                              shipmentStatus:
                                type: string
                                example: Delivered
                              id:
                                type: string
                                example: 6021f6b8bd6ce10008579e8f
                        items:
                          type: array
                          items:
                            type: object
                            properties:
                              group:
                                type: array
                                items:
                                  type: string
                                  example: 123
                              promosApplied:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                      example: test
                              _id:
                                type: string
                                example: 6021f6b8bd6ce10008579e90
                              lineItemId:
                                type: number
                                example: 1
                              itemId:
                                type: number
                                example: 1000000051098
                              sku:
                                type: string
                                example: 1538910
                              title:
                                type: string
                                example: abcDNA Luminous Cushion Lagoon
                              quantity:
                                type: number
                                example: 1
                              price:
                                type: number
                                example: 4.5
                              discount:
                                type: number
                                example: 1
                              currency:
                                type: string
                                example: USD
                              shipToId:
                                type: number
                                example: 1000001
                              estimatedTax:
                                type: number
                                example: 10.25
                              committedTax:
                                type: number
                                example: 10.25
                              total:
                                type: number
                                example: 4.54
                              taxCode:
                                type: string
                                example: FR020000
                              weight:
                                type: number
                                example: 10
                              weightUnit:
                                type: string
                                example: lb
                              id:
                                type: string
                                example: 6021f6b8bd6ce10008579e90
                        shipments:
                          type: array
                        payments:
                          type: array
                          items:
                            type: object
                            properties:
                              billToAddress:
                                type: object
                                properties:
                                  name:
                                    type: object
                                    properties:
                                      first:
                                        type: string
                                        example: john
                                      middle:
                                        type: string
                                        example: p
                                      last:
                                        type: string
                                        example: smith
                                  phone:
                                    type: object
                                    properties:
                                      number:
                                        type: string
                                        example: 555-555-5555
                                      kind:
                                        type: string
                                        example: mobile
                                  email:
                                    type: string
                                    example: johnsmith@google.com
                                  street1:
                                    type: string
                                    example: 10400 NE 4th St
                                  street2:
                                    type: string
                                    example: Suite 500
                                  city:
                                    type: string
                                    example: Bellevue
                                  state:
                                    type: string
                                    example: WA
                                  country:
                                    type: string
                                    example: USA
                                  zipCode:
                                    type: string
                                    example: 98004
                                  kind:
                                    type: string
                                    example: Ship to address
                              shipToId:
                                type: array
                                items:
                                  type: number
                                  example: 1000001
                              _id:
                                type: string
                                example: 6021f6b8bd6ce10008579e92
                              billToId:
                                type: number
                                example: 1000001
                              paymentIdentifier:
                                type: object
                                properties:
                                  cardIdentifier:
                                    type: number
                                    example: 4242
                              paymentMethod:
                                type: string
                                example: Visa
                              paymentToken:
                                type: object
                                properties:
                                  token:
                                    type: number
                                    example: 12345689
                              paymentKind:
                                type: string
                                example: Default payment
                              amount:
                                type: number
                                example: 533.33
                              currency:
                                type: string
                                example: USD
                              conversion:
                                type: number
                                example: 1
                              paymentStatus:
                                type: string
                                example: Pending
                              id:
                                type: string
                                example: 6021f6b8bd6ce10008579e92
                        revision:
                          type: number
                          example: 1
                        totalQuantity:
                          type: number
                          example: 2
                        statusDescriptions:
                          type: array
                          items:
                            type: object
                            properties:
                              _id:
                                type: string
                                example: 614b25234a2b4e0009870c49
                              status:
                                type: string
                                example: ORDER_CANCELLED
                              code:
                                type: string
                                example: 1001
                              description:
                                type: string
                                example: Merchant Out of Stock
                              date:
                                type: string
                                example: '2021-09-22T12:44:19.703Z'
                              id:
                                type: string
                                example: 614b25234a2b4e0009870c49
                        events:
                          type: array
                        __v:
                          type: number
                          example: 0
                        createdAt:
                          type: string
                          example: '2021-09-22T12:44:19.817Z'
                        updatedAt:
                          type: string
                          example: '2021-09-22T12:44:19.817Z'
        '400':
          $ref: '#/components/responses/GenericClientError'
        '403':
          $ref: '#/components/responses/MissingXApiKeyHeader'
        '404':
          description: Order not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    description: The error code
                    type: string
                    example: ORDER_NOT_FOUND
                  message:
                    description: The error message
                    type: string
                    example: Order ID Not Found
        '500':
          $ref: '#/components/responses/GenericServerError'
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  responses:
    GenericClientError:
      description: A generic client error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string
    MissingXApiKeyHeader:
      description: Missing x-api-key in header
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                description: The error message
                example: Forbidden
                type: string
    GenericServerError:
      description: A generic server error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string

````